package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Adv2Repository;
import com.realnet.basicp1.Entity.Adv2
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




import com.realnet.basicp1.Entity.Testlist;
import com.realnet.basicp1.Services.TestlistService;





import com.realnet.basicp1.Entity.Testlist;
import com.realnet.basicp1.Services.TestlistService;





	import org.springframework.stereotype.Service;

@Service
 public class Adv2Service {
@Autowired
private Adv2Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



@Autowired
	private TestlistService dynamicserv;



@Autowired
	private TestlistService autocomserv;



public Adv2 Savedata(Adv2 data) {





 
if (data.getDynamic() != null) {
		try {	
  int dynamicId = Integer.valueOf(data.getDynamic());
Testlist get =  dynamicserv.getdetailsbyId(dynamicId);
			if (get != null) {

			data.setDynamicname(get.getName());
}
} catch (NumberFormatException e) {
				System.out.println(" dynamicId is not integer..");
				// Invalid integer string — ignore or log
			}

		}

 





 
if (data.getAutocom() != null) {
		try {	
  int autocomId = Integer.valueOf(data.getAutocom());
Testlist get =  autocomserv.getdetailsbyId(autocomId);
			if (get != null) {

			data.setAutocomname(get.getName());
}
} catch (NumberFormatException e) {
				System.out.println(" autocomId is not integer..");
				// Invalid integer string — ignore or log
			}

		}

 




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Adv2 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Adv2> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Adv2> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Adv2> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Adv2 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Adv2 update(Adv2 data,Integer id) {
	Adv2 old = Repository.findById(id).get();
old.setName(data.getName());

old.setSta_mul(data.getSta_mul());

old.setDynamic(data.getDynamic());

old.setDyanmic_mul(data.getDyanmic_mul());

old.setAutocom(data.getAutocom());

old.setAuto_mul(data.getAuto_mul());

final Adv2 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
